use strict;
use warnings;
use utf8;

use FindBin;
use lib ("lib", "$FindBin::Bin/../blib/lib", "$FindBin::Bin/../blib/arch");

use Lingua::RU::Money::XS qw(rur2words);
use Test::Spec;

describe "Some basic tests:" => sub {
	it "Synopsis" => sub { is rur2words(123456789012345.67),
		"сто двадцать три триллиона четыреста пятьдесят шесть миллиардов семьсот восемьдесят девять миллионов двенадцать тысяч триста сорок пять рублей 67 копеек";
	};
	it "Negative value" => sub { is rur2words(-3.14), undef; };
};

runtests unless caller;
